Triangulations

Triangulations of manifolds in all supported dimensions. More...

## Classes

class | regina::Example< dim >
| This class offers static routines for constructing a variety of sample dim-dimensional triangulations. More...
class | regina::Example< 2 >
| Offers routines for constructing a variety of sample 2-dimensional triangulations. More...
class | regina::Example< 3 >
| Offers routines for constructing a variety of sample 3-dimensional triangulations. More...
class | regina::Example< 4 >
| Offers routines for constructing a variety of sample 4-dimensional triangulations. More...
class | regina::FaceNumbering< dim, subdim >
| Specifies how subdim-faces are numbered within a dim-dimensional simplex. More...
class | regina::FacePair
| Represents a pair of tetrahedron face numbers. More...
class | regina::FacetPairing< 3 >
| Represents the dual graph of a 3-manifold triangulation. More...
struct | regina::FacetSpec< dim >
| A lightweight class used to refer to a particular facet of a particular top-dimensional simplex in a dim-dimensional triangulation. More...
class | regina::BoundaryComponent< dim >
| A component of the boundary of a dim-manifold triangulation. More...
class | regina::Component< dim >
| A connected component of a dim-manifold triangulation. More...
class | regina::Face< dim, subdim >
| Represents a subdim-face in the skeleton of a dim-dimensional triangulation. More...
class | regina::FaceEmbedding< dim, subdim >
| Details how a subdim-face of a dim-dimensional triangulation appears within each top-dimensional simplex. More...
class | regina::FacetPairing< dim >
| Represents the dual graph of a dim-manifold triangulation; that is, the pairwise matching of facets of dim-dimensional simplices. More...
class | regina::Isomorphism< dim >
| Represents a combinatorial isomorphism from one dim-manifold triangulation into another. More...
class | regina::Triangulation< dim >
| A dim-dimensional triangulation, built by gluing together dim-dimensional simplices along their (dim-1)-dimensional facets. More...
class | regina::HomologicalData
| Data type that deals with all the detailed homological information in a manifold. More...
class | regina::XMLTriangulationReader< dim >
| An XML packet reader that reads a single dim-dimensional triangulation. More...
class | regina::XMLTriangulationReader< 2 >
| An XML packet reader that reads a single 2-dimensional triangulation. More...
class | regina::XMLTriangulationReader< 3 >
| An XML packet reader that reads a single 3-dimensional triangulation. More...
class | regina::XMLTriangulationReader< 4 >
| An XML packet reader that reads a single 4-dimensional triangulation. More...

## Typedefs

typedef Example< 2 > | regina::Dim2ExampleTriangulation
| Deprecated typedef for backward compatibility. More...
typedef Example< 3 > | regina::NExampleTriangulation
| Deprecated typedef for backward compatibility. More...
typedef Example< 4 > | regina::Dim4ExampleTriangulation
| Deprecated typedef for backward compatibility. More...
typedef FacePair | regina::NFacePair
| Deprecated typedef for backward compatibility. More...
typedef FacetPairing< 3 > | regina::NFacePairing
| Deprecated typedef for backward compatibility. More...
typedef FacetSpec< 2 > | regina::Dim2TriangleEdge
| Deprecated typedef for backward compatibility. More...
typedef FacetSpec< 3 > | regina::NTetFace
| Deprecated typedef for backward compatibility. More...
typedef FacetSpec< 4 > | regina::Dim4PentFacet
| Deprecated typedef for backward compatibility. More...
typedef HomologicalData | regina::NHomologicalData
| Deprecated typedef for backward compatibility. More...

## Functions

int | regina::binomSmall (int n, int k)
| Returns the binomial coefficient choose k for small arguments n and k. More...
template<int dim>
int | regina::faceOppositeEdge (int i, int j)
| Returns the (dim-2)-face number that is opposite the edge joining vertices i and j in a dim-dimensional simplex. More...

## Closed Triangulations

static Triangulation< 3 > * | regina::Example< 3 >::s2xs1 ()
| Returns a two-tetrahedron triangulation of the product space `S^2 x S^1`. More...

## Detailed Description

Triangulations of manifolds in all supported dimensions.

## Typedef Documentation

## Dim2ExampleTriangulation

typedef Example<2> regina::Dim2ExampleTriangulation

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  Instead of the old typedef Dim2ExampleTriangulation, you should use the full class name Example<2>.

## Dim2TriangleEdge

typedef FacetSpec<2> regina::Dim2TriangleEdge

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  Instead of the old typedef Dim2TriangleEdge, you should use the real class name FacetSpec<2>.

## Dim4ExampleTriangulation

typedef Example<4> regina::Dim4ExampleTriangulation

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  Instead of the old typedef Dim4ExampleTriangulation, you should use the full class name Example<4>.

## Dim4PentFacet

typedef FacetSpec<4> regina::Dim4PentFacet

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  Instead of the old typedef Dim4PentFacet, you should use the real class name FacetSpec<4>.

## NExampleTriangulation

typedef Example<3> regina::NExampleTriangulation

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  Instead of the old typedef NExampleTriangulation, you should use the full class name Example<3>.

## NFacePair

typedef FacePair regina::NFacePair

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The class NFacePair has now been renamed to FacePair.

## NFacePairing

typedef FacetPairing<3> regina::NFacePairing

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  Instead of the old typedef NFacePairing, you should use the full class name FacetPairing<3>.

## NHomologicalData

typedef HomologicalData regina::NHomologicalData

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The class NHomologicalData has now been renamed to HomologicalData.

## NTetFace

typedef FacetSpec<3> regina::NTetFace

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  Instead of the old typedef NTetFace, you should use the real class name FacetSpec<3>.

## Function Documentation

## binomSmall()

int regina::binomSmall | ( | int | n,
|  | int | k
| ) |  |

inline

Returns the binomial coefficient
choose k for small arguments n and k.

This routine is very fast, since it uses a constant-time lookup. The trade-off is that it can only be used for n ≤ 16.

If you need a compile-time constant, you should use the constant FaceNumbering<n-1, k-1>::nFaces instead. This function is provided for situations where n and/or k are not known until runtime.

Note
  The constraint n ≤ 16 is large enough for working with triangulations in Regina, since Regina restricts its triangulations to dimension ≤ 15 (where each simplex has 16 vertices).

Parameters

  n | the parameter n in (n choose k); this must be between 0 and 16 inclusive.
  k | the parameter k in (n choose k); this must be between 0 and n inclusive.

Returns
  the binomial coefficient n choose k.

## faceOppositeEdge()

template<int dim>

int regina::faceOppositeEdge | ( | int | i,
|  | int | j
| ) |  |

inline

Returns the (dim-2)-face number that is opposite the edge joining vertices i and j in a dim-dimensional simplex.

This function is offered because its implementation is faster than working through the FaceNumbering class.

The arguments i and j do not need to appear in ascending order.

Parameters

  i | the first vertex of an edge in a dim-dimensional simplex. This must be between 0 and dim inclusive.
  j | the second vertex of an edge in a dim-dimensional simplex. This must be between 0 and dim inclusive, and must be different from i.

Returns
  the number of the (dim-2)-face opposite the given edge.

## s2xs1()

Triangulation< 3 > * regina::Example< 3 >::s2xs1 | ( |  | ) |

inline static

Returns a two-tetrahedron triangulation of the product space `S^2 x S^1`.

This is identical to calling the generic routine sphereBundle().

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).